import Color from '../../common/Colors';
import { FontName, FontSizeButton } from '../../utility/FontsUtil';
import { ButtonHeight } from '../../utility/SizeUtil';

const ButtonTypes = {
    orangeBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.orangeWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    orangeBigDisableButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.orangeDisable,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    greenBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.greenWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    darkgreenBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.greenWhatsApp,
        fontSize: FontSizeButton.buttonExtraLarge,
        fontFamily: FontName.whjMedium,
        textColor: Color.whiteWhj,
    },
    disableBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.greyDisabledWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.greyDisable,
    },
    purpleBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.purpleWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    blackBigButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.blackWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    redBigButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.redWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    borderedBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
        borderColor: Color.orangeWhj,
    },
    greyBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.greyDisabledWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.greyTextWhj,
    },
    greenMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.greenOtpResend,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    orangeLightMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.yellowLightWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
    },
    orangeMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.orangeWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    purpleMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.purpleWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    greenMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.greenOtpResend,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    borderedMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
        borderColor: Color.orangeWhj,
    },
    borderedMediumBlueButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.blueWhj,
        borderColor: Color.blueWhj,
    },
    greyMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.greyDisabledWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.greyTextWhj,
    },
    orangeSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.orangeWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    purpleSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.purpleWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    borderedSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
        borderColor: Color.orangeWhj,
    },
    greySmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.greyDisabledWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.greyTextWhj,
    },
    plainGreyButton: {
        height: ButtonHeight.buttonMedium,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.disableBtnTextColor,
    },
    plainButton: {
        height: ButtonHeight.buttonMedium,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
    },
    plainGreyMediumButton: {
        height: ButtonHeight.buttonMedium,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjDemi,
        textColor: Color.greyNew,
    },
    smallPlainButton: {
        height: ButtonHeight.buttonMedium,
        fontSize: FontSizeButton.buttonExtraSmall,
        fontFamily: FontName.whjBook,
        textColor: Color.orangeWhj,
    },
    orangeTransparentButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
        borderColor: Color.orangeWhj,
    },
    blueTransparentButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.blueWhj,
        borderColor: Color.blueWhj,
    },
    disableMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.greyDisabledWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.disableBtnTextColor,
    },
    greyMediumWithWhiteTextButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.greyDarkWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    mediumPlainButton: {
        height: ButtonHeight.buttonExtraSmall,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjDemi,
        textColor: Color.orangeWhj
    },
    mediumPlainButton16: {
        height: ButtonHeight.buttonExtraSmall,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjDemi,
        textColor: Color.orangeWhj,
    },
    mediumPlainBlueButton16: {
        height: ButtonHeight.buttonExtraSmall,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjDemi,
        textColor: Color.blueWhj,
    },
    orangeExtraSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.orangeWhj,
        fontSize: FontSizeButton.buttonExtraSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },

    plainSmallButton: {
        height: ButtonHeight.buttonSmall,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBook,
        textColor: Color.orangeWhj,
    },
    plainSmalDemilButton: {
        height: ButtonHeight.buttonSmall,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjDemi,
        textColor: Color.orangeWhj,
    },
    plainBlueSmalDemilButton: {
        height: ButtonHeight.buttonSmall,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjDemi,
        textColor: Color.blueWhj,
    },
    plainBlueDemilButton: {
        height: ButtonHeight.buttonSmall,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjDemi,
        textColor: Color.blueWhj,
    },
    plainBlackDemilButton: {
        height: ButtonHeight.buttonSmall,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjDemi,
        textColor: Color.blackWhj,
    },
    orangeTransparentMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.orangeWhj,
        borderColor: Color.orangeWhj,
    },
    blueTransparentMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.blueWhj,
        borderColor: Color.blueWhj,
    },
    whiteSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjDemi,
        textColor: Color.orangeWhj,
    },
    plainGreyMediumDemiButton: {
        height: ButtonHeight.buttonMedium,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjDemi,
        textColor: Color.disableBtnTextColor,
    },
    bookTrialDisableBtn: {
        height: ButtonHeight.buttonLarge,
        color: Color.disableBtn,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    whiteTransparentButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.whiteWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.blackWhj,
        borderColor: Color.courseSelectionPopupBorder,
    },
    transparentBorderButton: {
        height: ButtonHeight.buttonLarge,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
        borderColor: Color.courseSelectionPopupBorder,
    },
    blueBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.blueWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    blueMediumButton: {
        height: ButtonHeight.buttonMedium,
        color: Color.blueWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    greyDisableBigButton: {
        height: ButtonHeight.buttonLarge,
        color: Color.greyDisableWhj,
        fontSize: FontSizeButton.buttonLarge,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    blueSmallButton: {
        height: ButtonHeight.buttonSmall,
        color: Color.blueWhj,
        fontSize: FontSizeButton.buttonSmall,
        fontFamily: FontName.whjBold,
        textColor: Color.whiteWhj,
    },
    greyTransparentButton: {
        height: ButtonHeight.buttonMediumLarge,
        textColor: Color.greyDarkWhj,
        borderColor: Color.greyDarkWhj,
        fontFamily: FontName.whjBook,
        fontSize: FontSizeButton.buttonLarge
    },
    OrangeTransparentButton: {
        height: ButtonHeight.buttonMediumLarge,
        textColor: Color.orangeWhj,
        borderColor: Color.greyDarkWhj,
        fontFamily: FontName.whjBook,
        fontSize: FontSizeButton.buttonLarge
    },
    OrangeLargeButton: {
        height: ButtonHeight.buttonLarge,
        textColor: Color.whiteWhj,
        fontSize: FontSizeButton.buttonMedium,
        fontFamily: FontName.whjBold,
        color: Color.orangeWhj,
    }
};

export default ButtonTypes;
